Subject: Ticket Assigned - Article Feedback - If I return a product that I bought with a Return Voucher to a store, how is my refund processed?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 20 Feb 2022 19:20:23 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - If I return a product that I bought with a Return Voucher to a store, how is my refund processed? Feedback for:  If I return a product that I bought with a Return Voucher to a store, how is my refund processed? I return my order 3 days before but didn’t got a refund in my my credit still https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3922895